# Release Notes for gCube 4.27.0

---
## maven-parent 1.1.0
Tagged commit: _[8a77d953ab3460ec871ff06da53e6af06c748df0](https://code-repo.d4science.org/gCubeSystem/maven-parent/commit/8a77d953ab3460ec871ff06da53e6af06c748df0)_

 - 2020-01-27

### Features 

* New build profiles to support CI/CD
* Enforcement for:
    * Java 8 (target and source)
    * OpenJDK as target Java VM.
    * Maven 3.3.9+


## geoportal-common 1.0.1
Tagged commit: _[60a0e5f160e506385126b0af2cac14423c0ea6ec](https://code-repo.d4science.org/gCubeSystem/geoportal-common.git/commit/60a0e5f160e506385126b0af2cac14423c0ea6ec)_

 - 2020-11-11

Model update


## geonetwork 3.4.5
Tagged commit: _[b12fd7c36b1f5c56cf7b7459f123e34624f130f6](https://code-repo.d4science.org/gCubeSystem/geonetwork.git/commit/b12fd7c36b1f5c56cf7b7459f123e34624f130f6)_

 - 2020-11-16
Changed maven repositories in pom

### Fixes
- Change of nexus hostname in pom.xml


## data-transfer-library 1.2.3
Tagged commit: _[cff290aa28fe8449516d6432912d113c09fdaa8c](https://code-repo.d4science.org/gCubeSystem//data-transfer-library.git/commit/cff290aa28fe8449516d6432912d113c09fdaa8c)_

 2020-12-01

* Deletion method
* GetInfo method
* GetStream method

##[v1.2.2] 2020-07-16

### Fixes

- Integration with gcube distribution (boms 2.0.0)
- TransfererBuilder.getTransfererByHost now follows redirects
## geoportal-client 1.0.2
Tagged commit: _[41ec0bd742f898fbe2a7c5bc59be1f7b54a46748](https://code-repo.d4science.org/gCubeSystem/geoportal-client.git/commit/41ec0bd742f898fbe2a7c5bc59be1f7b54a46748)_

 - 2020-11-11
Fixed dulicate dependency declaration


## gis-interface 2.4.6
Tagged commit: _[7f4d8bb31369f3917a8b26320f16d33e0f7485d4](https://code-repo.d4science.org/gCubeSystem/gis-interface.git/commit/7f4d8bb31369f3917a8b26320f16d33e0f7485d4)_

 2020-09-03 
-Restricting geonentwork range


## geoportal-data-common 1.0.0
Tagged commit: _[fd4aa2e9a368475a663a282b24c1a8eb0f1e7929](https://code-repo.d4science.org/gCubeSystem/geoportal-data-common/commit/fd4aa2e9a368475a663a282b24c1a8eb0f1e7929)_

 - 2020-12-01

First release
## geoportal-logic 1.0.12
Tagged commit: _[e04864220c1528b8b253eea2d254a3ec45fff086](https://code-repo.d4science.org/gCubeSystem/geoportal-logic.git/commit/e04864220c1528b8b253eea2d254a3ec45fff086)_

 - 2020-12-11
Fixed missing centroid


## social-data-indexer-se-plugin 2.0.0
Tagged commit: _[22dd7fabb36bd9568602948073b11f580d38a654](https://code-repo.d4science.org/gCubeSystem/social-data-indexer-se-plugin/commit/22dd7fabb36bd9568602948073b11f580d38a654)_

 

- Switched to smart-executor-api 2.0.0


## geoportal-service 1.0.3
Tagged commit: _[37f0ba6a4597dec3e5c0cf2188eb8094ca26936f](https://code-repo.d4science.org/gCubeSystem/geoportal-service.git/commit/37f0ba6a4597dec3e5c0cf2188eb8094ca26936f)_

 2020-11-11
Fixed HTTP method


## geoportal-data-entry-app 1.1.0
Tagged commit: _[d0f8f7cb6eedb13bf49836dcf6f700ce9833d546](https://code-repo.d4science.org/gCubeSystem/geoportal-data-entry-app/commit/d0f8f7cb6eedb13bf49836dcf6f700ce9833d546)_

 - 2020-12-1

#### Enhancements

[#20210] Updating required for data entry facility after the first feedback by domain experts
        


## geoportal-data-viewer-app 1.0.0
Tagged commit: _[e9fff02e291dd2e6bc5cfde64ae854ca975a1557](https://code-repo.d4science.org/gCubeSystem/geoportal-data-viewer-app/commit/e9fff02e291dd2e6bc5cfde64ae854ca975a1557)_

 - 2020-12-09

[#20004] First release

---
*generated by the gCube-ReleaseNotes pipeline from report 841*

*last update Thu Dec 17 09:45:07 CET 2020*
