# Release Notes for gCube 5.1.0

---
## maven-parent 1.1.0
Tagged commit: _[8a77d953ab3460ec871ff06da53e6af06c748df0](https://code-repo.d4science.org/gCubeSystem/maven-parent/commit/8a77d953ab3460ec871ff06da53e6af06c748df0)_

 - 2020-01-27

### Features 

* New build profiles to support CI/CD
* Enforcement for:
    * Java 8 (target and source)
    * OpenJDK as target Java VM.
    * Maven 3.3.9+


## ckan2zenodo-library 1.0.0
Tagged commit: _[a2495dbe6436496b391b3582646c2ba700b94f4f](https://code-repo.d4science.org/gCubeSystem/ckan2zenodo-library.git/commit/a2495dbe6436496b391b3582646c2ba700b94f4f)_

 2021-02-18

- Improved mapping language : target record
- Improved mapping language : value iteration



## ws-thredds 0.2.4
Tagged commit: _[8992fbaf2027222e9828edcac26e1ac144e2d292](https://code-repo.d4science.org/gCubeSystem//ws-thredds.git/commit/8992fbaf2027222e9828edcac26e1ac144e2d292)_


Default validate flag= false
From http to https

### Fixes

- Integration with gcube distribution (https://support.d4science.org/issues/19612)
## ws-synchronized-module-library 1.4.0
Tagged commit: _[59498cd6b3631d1e9f42f74fa56b041e70f261a8](https://code-repo.d4science.org/gCubeSystem/ws-synchronized-module-library/commit/59498cd6b3631d1e9f42f74fa56b041e70f261a8)_

 - 2021-03-10

[#20927] Migrated to git/jenkins

Using the ws-thredds dependency [0.1.0, 1.0.0-SNAPSHOT)



## usermanagement-core 2.5.3
Tagged commit: _[a3c6d2352f7c836c1b5220e3126a836a9eb329d2](https://code-repo.d4science.org/gCubeSystem/usermanagement-core/commit/a3c6d2352f7c836c1b5220e3126a836a9eb329d2)_

 - 2021-03-05

[#20889] UserManagement enhancement: add the roles Data-Editor


## sis-geotk-plugin 1.3.0
Tagged commit: _[95a837ba48bd8d96bd063d8356ecae1bd69d849c](https://code-repo.d4science.org/gCubeSystem/sis-geotk-plugin.git/commit/95a837ba48bd8d96bd063d8356ecae1bd69d849c)_

 2021-03-25
Use of EPSG Dataset
Proxy support


## ckan2zenodo-publisher-widget 1.0.1
Tagged commit: _[cecd6e82cc89a2c5d0457d757b633d06c233ac85](https://code-repo.d4science.org/gCubeSystem/ckan2zenodo-publisher-widget/commit/cecd6e82cc89a2c5d0457d757b633d06c233ac85)_

 - 2021-03-09

[#20935] just to include new range 1.x, 2.0 of ckan2zenodo-library



## ws-thredds-sync-widget 1.3.0
Tagged commit: _[41159eb8a678399278ea2c039a21a1be1cf19ce7](https://code-repo.d4science.org/gCubeSystem/ws-thredds-sync-widget/commit/41159eb8a678399278ea2c039a21a1be1cf19ce7)_

 - 2021-03-17

[#20847] Support the roles of THREDDS Admin and THREDDS Publisher 



## workspace-tree-widget 6.31.3
Tagged commit: _[79f24b497e5ba066d281adbc13947c77351e4cb0](https://code-repo.d4science.org/gCubeSystem/workspace-tree-widget/commit/79f24b497e5ba066d281adbc13947c77351e4cb0)_

 - 2021-03-25

#### Bug Fixes

Declared the workspace-uploader range [2.X, 3.X-SNAPSHOT)


## gcat 1.4.5
Tagged commit: _[97a28c3157a2c555911abec08acc32b3e5375d9f](https://code-repo.d4science.org/gCubeSystem/gcat/commit/97a28c3157a2c555911abec08acc32b3e5375d9f)_

 

- Removed 'owner_org' field from result when reading an item [#20919]
- Dirty patched item validator [#20965]
- Improved error message return with message got from CKAN [#19516]



## storagehub 1.2.5
Tagged commit: _[64952442ed57b58c034a1dddfca940ae1a5a426a](https://code-repo.d4science.org/gCubeSystem/storagehub/commit/64952442ed57b58c034a1dddfca940ae1a5a426a)_

 - [2021-03-11]

use of query (indexes are not working well in jackrabbit) to retrieve shared folder removed on delete user 


## gcube-ckan-datacatalog 1.9.3
Tagged commit: _[8b69d1f6fd4ac5826c2858e91deb08a61a666a84](https://code-repo.d4science.org/gCubeSystem/gcube-ckan-datacatalog/commit/8b69d1f6fd4ac5826c2858e91deb08a61a666a84)_

 - 2021-03-09

Just to include the ckan2zenodo-library 1.x



## workspace 6.25.4
Tagged commit: _[f34436679021cb61aef2dc0000b438d43a48aab6](https://code-repo.d4science.org/gCubeSystem/workspace/commit/f34436679021cb61aef2dc0000b438d43a48aab6)_

 - 2021-03-10

#### Enhancements

[#20847] Just to release the facility ws-thredds-sync 


## user-statistics 2.3.0
Tagged commit: _[c0f63b8de340b7fdc3a098d1bec90eabf368ee71](https://code-repo.d4science.org/gCubeSystem/user-statistics/commit/c0f63b8de340b7fdc3a098d1bec90eabf368ee71)_

 - 2021-02-02

Ported to git

Feature #21008: UserStatistics portlet: Remove number of comments done and got indicator



---
*generated by the gCube-ReleaseNotes pipeline from report 937*

*last update Wed Mar 31 10:22:00 CEST 2021*
