# Release Notes for gCube 5.3.0

## What's New in gCube 5.3.0

* Improved the synchronization between workspace and thredds;
* Released the new maven-portal-bom 3.6.2;
* Fixed some catalogue issues.


---
## Details about components in release:

---
###  maven-parent 1.1.0
Tagged commit: _[8a77d953ab3460ec871ff06da53e6af06c748df0](https://code-repo.d4science.org/gCubeSystem/maven-parent/commit/8a77d953ab3460ec871ff06da53e6af06c748df0)_

 - 2020-01-27

### Features 

* New build profiles to support CI/CD
* Enforcement for:
    * Java 8 (target and source)
    * OpenJDK as target Java VM.
    * Maven 3.3.9+


###  maven-portal-bom 3.6.2
Tagged commit: _[26b59e15524ce060d37624d66327e5b64fa03bf8](https://code-repo.d4science.org/gCubeSystem/maven-portal-bom/commit/26b59e15524ce060d37624d66327e5b64fa03bf8)_

 - 2021-05-20

Added IAM and event to orchestrator libs


###  gcube-url-shortener 1.5.1
Tagged commit: _[e2c8ee4ca0105770eea6f896fd6d77f03df1f921](https://code-repo.d4science.org/gCubeSystem/gcube-url-shortener/commit/e2c8ee4ca0105770eea6f896fd6d77f03df1f921)_

 - 2020-11-17

#### Fixes

[21267] Fixed the slf4j-log4j12 dependency  
Moved to gcube-bom 2.0.1


###  ws-thredds 1.0.0
Tagged commit: _[5ee6f5e5bc240d3d3302a1a6fd4c7a9e9662b869](https://code-repo.d4science.org/gCubeSystem/ws-thredds.git/commit/5ee6f5e5bc240d3d3302a1a6fd4c7a9e9662b869)_

 
Integration with new IAM
Security Fixes
Fixes [#21537]



###  catalogue-util-library 1.0.2
Tagged commit: _[2426bd16bda25d69bc2e1fcb19d9ca60b5ba1609](https://code-repo.d4science.org/gCubeSystem/catalogue-util-library/commit/2426bd16bda25d69bc2e1fcb19d9ca60b5ba1609)_

 - 2021-06-03

**Fixes**
[#21560] Bug fixing property visibility Restricted/Public


###  workspace-task-executor-library 1.0.1
Tagged commit: _[ec2ed8f155427a517775467dc57b270afe08b75a](https://code-repo.d4science.org/gCubeSystem/workspace-task-executor-library/commit/ec2ed8f155427a517775467dc57b270afe08b75a)_

 - 2021-05-11

#### Fixes

[#21387] Harmonize the jackson version to v.2.8.11
Moved to maven-portal-bom.3.6.2



###  ws-synchronized-module-library 1.5.0
Tagged commit: _[cb6b24e0359eb66e5bfb2acc7d98ffe8af3db441](https://code-repo.d4science.org/gCubeSystem/ws-synchronized-module-library/commit/cb6b24e0359eb66e5bfb2acc7d98ffe8af3db441)_

 - 2021-05-07

[#21374] Moved to ws-thredds 1.x
Moved to maven-portal-bom 3.6.2



###  ws-thredds-sync-widget 1.4.0
Tagged commit: _[76b794e07db6921e480acfe78475dcf9b2cfcd0b](https://code-repo.d4science.org/gCubeSystem/ws-thredds-sync-widget/commit/76b794e07db6921e480acfe78475dcf9b2cfcd0b)_

 - 2021-05-10

#### Enhancements

[#21379] Moved to new ws-synchronized-module-library (based on w-thredds 1.x) and performed UMA tokens context switches
[#21444] Moved to maven-portal-bom 3.6.2


###  ckan-metadata-publisher-widget 2.0.1
Tagged commit: _[cebaf8e8e0179d75e1bb4a6c275e0ff05c7a062c](https://code-repo.d4science.org/gCubeSystem/ckan-metadata-publisher-widget/commit/cebaf8e8e0179d75e1bb4a6c275e0ff05c7a062c)_

 - 2021-05-24

**Bug fixes**

[#21470] Fixing: publishing widget uses the orgTitle instead of orgName

**New**

Moved to maven-portal-bom 3.6.2



###  workspace-tree-widget 6.33.0
Tagged commit: _[a919610ea94bd3b06fc4a8c142d69e80f899f863](https://code-repo.d4science.org/gCubeSystem/workspace-tree-widget/commit/a919610ea94bd3b06fc4a8c142d69e80f899f863)_

 - 2021-05-11

#### Enhancements

[#21388] Integrated with new workflow to interact with ws-thredds 1.x 
[#21444] Moved to maven-portal-bom >= 3.6.2-SNAPSHOT 


###  workspace 6.27.0
Tagged commit: _[2e162c43145747320e85e7cc90be5359a68f687b](https://code-repo.d4science.org/gCubeSystem/workspace/commit/2e162c43145747320e85e7cc90be5359a68f687b)_

 - 2021-05-10

[#21387] Harmonized version of jackson libs to 2.8.11 to resolve conflict
[#21346] Applying new workflow to manage the Sync with Tredds facility
[#21444] Moved to maven-portal-bom >= 3.6.2-SNAPSHOT 



---
*generated by the gCube-ReleaseNotes pipeline from report 980*

*last update Fri Jun 04 17:23:56 CEST 2021*
