# Release Notes for gCube 5.4.1

---
###  maven-parent 1.1.0
Tagged commit: _[8a77d953ab3460ec871ff06da53e6af06c748df0](https://code-repo.d4science.org/gCubeSystem/maven-parent/commit/8a77d953ab3460ec871ff06da53e6af06c748df0)_

 - 2020-01-27

### Features 

* New build profiles to support CI/CD
* Enforcement for:
    * Java 8 (target and source)
    * OpenJDK as target Java VM.
    * Maven 3.3.9+


###  storage-manager-core 2.13.1
Tagged commit: _[a4abfbad5b9e822f7baac1f2e5ebed2fea26a59f](https://code-repo.d4science.org/gCubeSystem/storage-manager-core/commit/a4abfbad5b9e822f7baac1f2e5ebed2fea26a59f)_

 2021-09-10
  * fix  #21980
  * update gcube-bom version
  * add close operation on IClient interface
  * add check on transport layer instance: if the memory type is not the same, a new transportLayer is instatiated
  * move memoryType var from super class TransportManager
  * convert BasicDBObject to DBObject the return type used for metadata collections
  * One pool for every operation: static Operation class; no mongo close operation
  * upgrade mongo-java-driver to 3.12.0
  * added input parameter to getSize method in order to be compatible with the needed of s3 client


###  storagehub-model 1.1.1
Tagged commit: _[be04b3d9ad813d9382ee8874d8615f80d8d2b520](https://code-repo.d4science.org/gCubeSystem/storagehub-model/commit/be04b3d9ad813d9382ee8874d8615f80d8d2b520)_

 - [2021-09-28]

- solved bug on externalManaged field


###  storage-manager-wrapper 2.6.1
Tagged commit: _[8617614b0e461696d46ba233aab0a00704763032](https://code-repo.d4science.org/gCubeSystem/storage-manager-wrapper/commit/8617614b0e461696d46ba233aab0a00704763032)_

 2021-09-10
* bug fix #20505
* update gcub-bom version
* Change serviceEndpoint Category from DataStorage to Storage
* bugfix #20505
* adding new constructor with the backendType as input parameter
* retrieving specific backend credentials if a specific backend si specified as input parameter


###  storagehub 1.3.2
Tagged commit: _[8fd9bb5ac2f9c1138bd802e2301e8ede0adfbc1a](https://code-repo.d4science.org/gCubeSystem/storagehub/commit/8fd9bb5ac2f9c1138bd802e2301e8ede0adfbc1a)_

 - [2021-09-28]
  - fix 22087


###  messages 2.5.1
Tagged commit: _[d73f4944b674e2a23ad6574f0b66d4ebfdc3a003](https://code-repo.d4science.org/gCubeSystem/messages/commit/d73f4944b674e2a23ad6574f0b66d4ebfdc3a003)_

 -2021-09-09

- Fixed attachment issue #21972



---
*generated by the gCube-ReleaseNotes pipeline from report 1038*

*last update Fri Oct 01 16:29:21 CEST 2021*
